#ifndef __EP_INIT_H_INCLUDED
#define __EP_INIT_H_INCLUDED

#define PY_SSIZE_T_CLEAN
#include <Python.h>
#include "wintype.h"

#define MOD_NAME_UPIWIN      "upiwin"
#define MOD_NAME_UPIWIN_TMP  "upiwin_tmp"

extern PyObject *UPIWIN_module;
extern PyObject *UPIWIN_tmp_module;

extern PyObject *Epython_init_upiwin_module(void);
extern PyObject *Epython_init_upiwin_tmp_module(void);

extern HRESULT Epython_register_devctxt(PyObject *module);
extern HRESULT Epython_register_bitmap(PyObject *module);

extern HRESULT Epython_setup(void);
extern HRESULT Epython_run(void);

#endif /* __EP_INIT_H_INCLUDED */
