#ifndef __EP_TYPES_H_INCLUDED
#define __EP_TYPES_H_INCLUDED

#define PY_SSIZE_T_CLEAN
#include <Python.h>
#include "wintype.h"
#include "gfxtype.h"
#include "gfxobj.h"
#include "devctxt.h"
#include "bitmap.h"

typedef struct tagBitmapObject {
  PyObject_HEAD
  PBITMAP pbmp;
} BitmapObject;

typedef struct tagDevCtxtObject {
  PyObject_HEAD
  PDCTXT pdctxt;
  BitmapObject *selected_bitmap;
} DevCtxtObject;

extern PyTypeObject DevCtxtType;
extern PyTypeObject BitmapType;

extern PyObject *Epython_wrap_bitmap(PBITMAP pbmp);

#endif /* __EP_TYPES_H_INCLUDED */
