#ifndef __MSG_H_INCLUDED
#define __MSG_H_INCLUDED

#include "wintype.h"

#define MSG_ATTRCOUNT 2

typedef struct tagMSG {
  HANDLE target;
  UINT32 message;
  UINT_PTR attrs[MSG_ATTRCOUNT];
  TIMESTAMP timestamp;
} MSG, *PMSG;

#define WM_NULL           0x0000
#define WM_QUIT           0x0001

#define WM_HWBUTTONDOWN   0x0020
#define WM_HWBUTTONUP     0x0021
#define WM_HWBUTTONCLICK  0x0022

#define WM_TOUCHDOWN      0x0030
#define WM_TOUCHMOVE      0x0031
#define WM_TOUCHUP        0x0032
#define WM_TOUCHCLICK     0x0033

#endif /* __MSG_H_INCLUDED */
